Optimize ASO Cube

Optimizes the performance of queries for data extraction by creating aggregate views in ASO cubes for Profitability and Cost Management applications.

This command allows you to perform query optimization operations on ASO cubes in cases where default aggregation is deemed insufficient to meet your data extraction or reporting needs because of large data size. The typical optimzation process is as follows:
  • Drop default and query-based aggregations.
  • Start query tracking.
  • Run sample queries from Profitability and Cost Management Query Manager, Oracle Smart View for Office (Windows), or Data Management, and any other MDX queries representative of the type of queries for which optimization is desired to train Oracle Essbase.
  • Create aggregation based on optimized or default queries.

Required Roles

Service Administrator, Power User

REST Resource

POST /epm/rest/v1/applications/{AppName}/jobs/optimizeASOCube

Request

Supported Media Types: application/json

The following table summarizes the client request.

Table 10-29 Parameters

Name Description Type Required Default
api_version Version of the API you are developing with Path Yes None
appName Name of the application used to run Optimize ASO Path Yes None
type Type of operation. Valid values are:
  • clearAggregations removes default and query-based views.
  • createAggregations creates default Essbase aggregate views. Use this option to perform default aggregation instead of query-based aggregation.
  • startQueryTracking starts query tracking. Use this option to allow Essbase to collect optimization information for creating query-based aggregations.
  • stopQueryTracking stops query tracking. Use this option to stop Essbase from collecting optimization information. Essbase continues to collect optimization information until you stop query tracking or stop Essbase.)
  • createQBOAggregations creates Essbase aggregate views based on the optimized queries that you run after enabling query tracking.
Form Yes None

Response

Supported Media Types: application/json

Table 10-30 Parameters

Name Description
details In case of errors, details are published with the error string.
status See Migration Status Codes
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Can be self and/or Job Status. If set to Job Status, you can use the href to get the status of the import operation.
data Parameters as key value pairs passed in the request

Example of Response Body

The following shows an example of the response body in JSON format.

{
   "type":"Profitability",
   "status":-1,
   "statusMessage":"In Progress",
   "details":"BksML30_OptimizeASOCube_D20220511T115135_55d",
   "links":[
      {
         "href":"https://<BASE-URL>/epm/rest/v1/applications/jobs/ChecktaskStatusJob/BksML30_OptimizeASOCube_D20220511T115135_55d",
         "action":"GET",
         "rel":"Job Status"
      }
   ]
}